{
    "name" : "精联惠选",
    "appid" : "__UNI__991D0D9",
    "description" : "精联惠选",
    "versionName" : "1.3.6",
    "versionCode" : 136,
    "transformPx" : false,
    "app-plus" : {
        /* 5+App特有相关 */
        "usingComponents" : true,
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        "modules" : {
            "Barcode" : {},
            "Camera" : {},
            "VideoPlayer" : {},
            "Payment" : {}
        },
        /* 模块配置 */
        "distribute" : {
            /* 应用发布信息 */
            "android" : {
                /* android打包配置 */
                "permissions" : [
                    "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>"
                ],
                "abiFilters" : [ "armeabi-v7a", "arm64-v8a", "x86" ],
                "targetSdkVersion" : 30
            },
            "ios" : {
                "idfa" : false,
                "privacyDescription" : {
                    "NSPhotoLibraryUsageDescription" : "该应用需要读取你的相册，以便为你编辑用户信息",
                    "NSPhotoLibraryAddUsageDescription" : "该应用需要读取你的相册，以便为你编辑用户信息",
                    "NSCameraUsageDescription" : "该应用需要读取你的相册，以便为你编辑用户信息"
                },
                "dSYMs" : false
            },
            /* ios打包配置 */
            "sdkConfigs" : {
                "maps" : {},
                "oauth" : {},
                "geolocation" : {},
                "payment" : {
                    "alipay" : {
                        "__platform__" : [ "android" ]
                    }
                },
                "push" : {},
                "share" : {},
                "speech" : {},
                "statics" : {},
                "ad" : {
                    "gdt" : {},
                    "ks" : {},
                    "sigmob" : {},
                    "hw" : {},
                    "bd" : {}
                }
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png"
                    },
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png"
                    }
                }
            },
            "splashscreen" : {
                "useOriginalMsgbox" : true
            }
        }
    },
    /* SDK配置 */
    "quickapp" : {},
    /* 快应用特有相关 */
    "mp-weixin" : {
        /* 小程序特有相关 */
        "usingComponents" : true,
        "appid" : "",
        "setting" : {
            "urlCheck" : true,
            "minified" : true
        }
    },
    "h5" : {
        "title" : "精联惠选",
        "domain" : "",
        "router" : {
            "base" : "/index/",
            "mode" : "hash"
        },
        "devServer" : {
            "proxy" : {
                "/api" : {
                    "target" : "https://zero.jlxnykj.cn/api",
                    // "target" : "http://7131.frp.qiniu1314.com/api",
                    // "changeOrigin": true,
                    "pathRewrite" : {
                        "/api" : "" // rewrite path
                    }
                }
            },
            "https" : false
        }
    }
}
